<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=0"
    />
    <script src="/static/js/public/reset.js"></script>
    <link href="/static/css/public/reset.css" rel="stylesheet" />
    <link href="/static/css/public/public.css" rel="stylesheet" />
    <link href="/static/css/32849/main.css" rel="stylesheet" />
    <title>贵州飞天五星酒业集团有限公司</title>
  </head>

  <body>
    <!-- <div class="div1">
      <div class="bq">
          <div class="ggy">
              <div class="ggy2">
                  <img src="/static/images/32849/g1.png" style="width:100%;padding-top:1rem" />
                  <p style="padding:1rem">请刮开防伪标签上的验证码</p>
              </div>
          </div>
          <b style="font-size:20px">
              请输入验证码
          </b>
          <input id="in" type="text" placeholder="请输入验证码"
                 style="border-radius: 10px; width:75%;padding: .5rem .5rem ;font-size: 15px;text-align:center">
          <div class="btn" onclick="showfwjg()">确定</div>
      </div>
  </div> -->
    <div class="fwjg">
      <div style="font-size: 23px; color: rgb(54, 54, 54)">
        <b> 防伪结果 </b>
      </div>
      <div
        style="
          font-size: 18px;
          background-color: rgb(233, 228, 230);
          color: rgb(54, 54, 54);
          padding: 1rem 0.8rem 0.5rem;
          border-radius: 8px;
          margin: 1rem 0;
        "
      >
        <div style="text-align: center">
          <b>标签序号：<span id="cpidSpan"></span></b>
        </div>
        <p>
          您好，您所查询的是[贵州飞天五星酒业集团有限公司]的正品标识，请放心使用!
        </p>
      </div>
      <div style="font-size: 23px; color: rgb(198, 0, 9)">
        <b> 重要提示 </b>
      </div>
      <div
        style="
          font-size: 14px;
          background-color: rgb(233, 228, 230);
          padding: 0.5rem 0.8rem 0.5rem;
          margin: 1rem 0;
          border-radius: 8px;
        "
      >
        <p>扫描您所购买的产品上的防伪码进行产品真伪的验证。</p>
        <p>
          如:[您好，您所查询的是[贵州飞天五星酒业集团有限公司]的正品标识，请放心使用!]则您购买的产品是真品。如:[您好，该码已被查询*次，首次查询时间为:***该号码已经失效，谨防假冒!请确认此前您是否查询过该产品上的防伪码，如果此前不是您本人查询，请与所购买的商家联系!
        </p>
        <p>
          如:[您好，您所查询的号码不存在，谨防假冒!请与所购买的商家联系，或者直接与生产厂家联系!
        </p>
      </div>
    </div>

    <script
      type="text/javascript"
      src="https://res2.wx.qq.com/open/js/jweixin-1.6.0.js"
    ></script>
    <script src="/static/js/jquery-2.1.0.min.js"></script>
    <script src="/static/js/public/public.js"></script>
    <script>
      tj_public.showLoading();

      tj_public.wxInit({
        wx_officail_account_id: 6,
        url: window.location.href,
      });

      var uid = tj_public.getCookie("TJWXUSR_32849_0");
      var cpid = tj_public.getCookie("label_code");

      var weidu = 0;
      var jingdu = 0;
      wx.ready(function () {
        tj_public.getAddress(function (lat, lng) {
          weidu = lat;
          jingdu = lng;
          getInfo();
        });
      });

      wx.error(function (res) {
        getInfo();
      });

      function getInfo() {
        tj_public.showLoading();
        $.ajax({
          url: "/wx/label/scan_record/",
          data: {
            lat: weidu,
            lng: jingdu,
            uid,
            compid: 32849,
            fwcode: cpid,
          },
          success: function (res) {
            tj_public.hideLoading();
            if (res.e === "") {
              $("#cpidSpan").text(cpid);
              if (res.cnt <= 1) {
                $("#warn").text(
                  "您好，您所查询的是[贵州飞天五星酒业集团有限公司]的正品产品，请放心使用!"
                );
              } else {
                $("#warn").text(
                  `您好，该码已被查询${res.cnt}次，首次查询时间为:${res.tm_1st}，该号码已经失效，谨防假冒！请确认此前您是否查询过该产品上的防伪码，如果此前不是您本人查询请与所购买的商家联系！`
                );
              }
              // $(".div1").hide();
              $(".fwjg").fadeIn();
            } else {
              alert("网络超时，请稍后再试！");
              WeixinJSBridge.call("closeWindow");
            }
          },
          error: function () {
            tj_public.hideLoading();
            alert("网络超时，请稍后再试！");
            WeixinJSBridge.call("closeWindow");
          },
        });
      }

      // function showfwjg() {
      //   tj_public.checkYzm(function () {
      //     getInfo();
      //   });
      // }
    </script>
  </body>
</html>
